Name:           libnasl
Version:        2.2.9
Release:        1%{?dist}
Summary:        Nessus Attack Scripting Language

Group:          System Environment/Libraries
License:        GPL
URL:            http://www.nessus.org
Source0:        ftp://ftp.nessus.org/pub/nessus/nessus-2.2.9/src/libnasl-2.2.9.tar.gz
Patch0:         libnasl-config.patch
Patch1:         libnasl-2.2.4.pki.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  bison
BuildRequires:  nessus-libraries-devel >= %{version}
BuildRequires:  libpcap-devel
BuildRequires:  tetex-dvips
BuildRequires:  tetex-latex

%description
NASL is a scripting language designed for the Nessus security scanner.
Its aim is to allow anyone to write a test for a given security hole
in a few minutes, to allow people to share their tests without having
to worry about their operating system, and to guarantee everyone that
a NASL script can not do anything nasty except performing a given
security test against a given target.

Thus, NASL allows you to easily forge IP packets, or to send regular
packets. It provides you some convenient functions that will make the
test of web and FTP server more easy to write. NASL garantees you that
a NASL script:
- will not send any packet to a host other than the target host,
- will not execute any commands on your local system.

%package devel
Summary:        Nessus Attack Scripting Language header files
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description devel
The %{name}-devel package contains the files needed for development
with %{name}.

%prep
%setup -q -n %{name}
%patch0
%patch1 -p1

%build
%configure --enable-shared --disable-static --with-pic
#smp_mflags will breake build
make
cd doc
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT/%{_libdir}/libnasl.la

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc COPYING doc/nasl_guide.ps doc/nasl_guide.dvi
%{_bindir}/nasl
%{_libdir}/libnasl.so.*
%{_mandir}/man1/nasl.1*
%{_localstatedir}/lib/nessus
%{_sysconfdir}/pki/nessus

%files devel
%defattr(-,root,root,-)
%{_bindir}/nasl-config
%{_libdir}/libnasl.so
%{_includedir}/nessus
%{_mandir}/man1/nasl-config.1*

%changelog
* Tue Dec 19 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
2.2.9-1
- version upgrade

* Wed Sep 13 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
2.2.8-2
- FE6 rebuild

* Sun Jun 18 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
2.2.8-1
- version upgrade

* Wed May 17 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
2.2.7-1
- version upgrade
- add CVE-2006-2093 patch

* Sat Mar 18 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
2.2.6-3
- fix BR

* Fri Feb 24 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
2.2.6-2
- add pki location patch
- tune BR
- honor now localstatedir

* Fri Feb 24 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
2.2.6-1
- initial version
